Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.hq.product
Class Win32EventLogTrackPlugin

    java.lang.Object
      net.hyperic.hq.product.GenericPlugin
          net.hyperic.hq.product.LogTrackPlugin
              net.hyperic.hq.product.Win32EventLogTrackPlugin

public class Win32EventLogTrackPlugin
extends LogTrackPlugin

Field Summary

Fields inherited from class net.hyperic.hq.product.LogTrackPlugin
`LOGLEVEL_DEBUG, LOGLEVEL_DEBUG_LABEL, LOGLEVEL_ERROR, LOGLEVEL_ERROR_LABEL, LOGLEVEL_INFO, LOGLEVEL_INFO_LABEL, LOGLEVEL_WARN, LOGLEVEL_WARN_LABEL`

Fields inherited from class net.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`Win32EventLogTrackPlugin()`

Method Summary
`void` | `configure(ConfigResponse config)`
`Win32EventLogNotification` | `getEventLogNotification()`
`void` | `shutdown()` Called when the server or agent is shutdown.

Methods inherited from class net.hyperic.hq.product.LogTrackPlugin
`getConfigSchema, getEnableOption, getLogLevel, getLogLevel, getLogLevelAliases, getLogLevelLabel, getLogLevelMap, getLogLevels, getManager, getPatternOption, init, isEnabled, messageMatches, newTrackEvent, newTrackEvent, reportEvent, setEnabled, setLogLevel, shouldDebugLog, shouldLog, stripNewLines, supportsLogLevels, supportsPatternMatching`

Methods inherited from class net.hyperic.hq.product.GenericPlugin
`getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getName, getPlatformName, getPluginClassName, getProductPlugin, getProperties, getProperty, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperty, getTypeProperty, getTypeProperty, isWin32, openResource, setName, setTypeInfo, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Win32EventLogTrackPlugin

    public Win32EventLogTrackPlugin()

Method Detail

### getEventLogNotification

    public Win32EventLogNotification getEventLogNotification()

### configure

    public void configure(ConfigResponse config)
                   throws PluginException

  Overrides:
    `configure` in class `LogTrackPlugin`
  Throws:
    `PluginException`

### shutdown

    public void shutdown()
                  throws PluginException

  Description copied from class: `GenericPlugin`
  Called when the server or agent is shutdown. Use this method to cleanup any resources that were created during the init() method.

  Overrides:
    `shutdown` in class `GenericPlugin`
  Throws:
    `PluginException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.